Skip to main content
GET
/
connections
List connections
curl --request GET \
  --url https://app.concretehq.com/api/v1/connections \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "publicId": "abc123def456",
      "provider": "upload",
      "createdAt": "2023-11-07T05:31:56Z",
      "errorId": "<string>",
      "errorAt": "2023-11-07T05:31:56Z",
      "syncedAt": "2023-11-07T05:31:56Z",
      "disabledAt": "2023-11-07T05:31:56Z",
      "label": "Q4 Email Export",
      "followLinks": true,
      "followDocsend": true
    }
  ],
  "nextPageToken": "next_page_token_here"
}

Documentation Index

Fetch the complete documentation index at: https://docs.concretehq.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication using Bearer token format

Query Parameters

pageToken
string

Token for pagination to get next page

limit
integer
default:100

Number of results per page (default: 100, max: 100)

Required range: 1 <= x <= 100

Response

List of connections

items
object[]
required
nextPageToken
string

Token for fetching next page

Example:

"next_page_token_here"